OpenTTD Source: TileInfo Struct Reference

OpenTTD Source 15.0-beta1

Data Fields
TileInfo Struct Reference

Tile information, used while rendering the tile. More...

`#include <tile_cmd.h>`

## Data Fields
int | x
| X position of the tile in unit coordinates.
int | y
| Y position of the tile in unit coordinates.
Slope | tileh
| Slope of the tile.
TileIndex | tile
| Tile index.
int | z
| Height.

## Detailed Description

Tile information, used while rendering the tile.

Definition at line 43 of file tile_cmd.h.

## Field Documentation

## ◆ tile

TileIndex TileInfo::tile

Tile index.

Definition at line 47 of file tile_cmd.h.

Referenced by DrawBridgeMiddle(), DrawFoundation(), DrawNewObjectTile(), DrawRailCatenary(), DrawRailCatenaryOnBridge(), DrawRailCatenaryOnTunnel(), DrawRailCatenaryRailway(), DrawRoadBits(), DrawRoadCatenary(), DrawRoadOverlays(), DrawRoadTypeCatenary(), DrawTile_Road(), DrawTile_Town(), DrawTile_TunnelBridge(), DrawTileLayout(), DrawTileSelection(), DrawTileSelectionRect(), DrawTrackBits(), DrawTrackDetails(), DrawWaterDepot(), DrawWaterLock(), DrawWaterTileStruct(), HighlightTownLocalAuthorityTiles(), SplitGroundSpriteForOverlay(), and ViewportAddLandscape().

## ◆ tileh

Slope TileInfo::tileh

Slope of the tile.

Definition at line 46 of file tile_cmd.h.

Referenced by DrawAutorailSelection(), DrawBridgePillars(), DrawFoundation(), DrawRailCatenaryRailway(), DrawRoadBits(), DrawRoadDetail(), DrawRoadGroundSprites(), DrawRoadTypeCatenary(), DrawTile_Road(), DrawTile_Town(), DrawTile_TunnelBridge(), DrawTileSelection(), DrawTileSelectionRect(), DrawTrackBits(), DrawTrackDetails(), DrawTrackFence(), DrawTrackFence_NE(), DrawTrackFence_NW(), DrawTrackFence_SE(), DrawTrackFence_SW(), GetRoadGroundSprite(), and ViewportAddLandscape().

## ◆ x

int TileInfo::x

X position of the tile in unit coordinates.

Definition at line 44 of file tile_cmd.h.

Referenced by DrawBridgeMiddle(), DrawCommonTileSeq(), DrawFoundation(), DrawGroundSpriteAt(), DrawRailCatenary(), DrawRailCatenaryOnBridge(), DrawRailCatenaryOnTunnel(), DrawRailCatenaryRailway(), DrawRoadDetail(), DrawRoadTypeCatenary(), DrawSelectionSprite(), DrawTile_Town(), DrawTile_TunnelBridge(), DrawTileSelection(), DrawTrackFence(), DrawWaterTileStruct(), and ViewportAddLandscape().

## ◆ y

int TileInfo::y

Y position of the tile in unit coordinates.

Definition at line 45 of file tile_cmd.h.

Referenced by DrawBridgeMiddle(), DrawCommonTileSeq(), DrawFoundation(), DrawGroundSpriteAt(), DrawRailCatenary(), DrawRailCatenaryOnBridge(), DrawRailCatenaryOnTunnel(), DrawRailCatenaryRailway(), DrawRoadDetail(), DrawRoadTypeCatenary(), DrawSelectionSprite(), DrawTile_Town(), DrawTile_TunnelBridge(), DrawTileSelection(), DrawTrackFence(), DrawWaterTileStruct(), and ViewportAddLandscape().

## ◆ z

int TileInfo::z

Height.

Definition at line 48 of file tile_cmd.h.

Referenced by DrawBridgePillars(), DrawCommonTileSeq(), DrawFoundation(), DrawGroundSpriteAt(), DrawRoadDetail(), DrawRoadTypeCatenary(), DrawSelectionSprite(), DrawTile_Town(), DrawTile_TunnelBridge(), DrawTrackFence(), DrawWaterLock(), DrawWaterTileStruct(), SplitGroundSpriteForOverlay(), and ViewportAddLandscape().

The documentation for this struct was generated from the following file:

- src/tile_cmd.h